org.wso2.carbon.webapp.mgt.sso

## Class WebappSSOConstants

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.sso.WebappSSOConstants

-     public class WebappSSOConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APP_SERVER_URL`
    `static String` | `CONSUMER_URL_POSTFIX`
    `static String` | `CUSTOM_ACS_HEADER` Custom HTTP header that can override the default generated ACS url for a web application.
    `static String` | `ENABLE_IDP_SESSION_VALIDATION_BEFORE_LOGOUT`
    `static String` | `ENABLE_SAML2_SSO`
    `static String` | `ENABLE_SAML2_SSO_WITH_TENANT` Tenant name as specified in web.xml of application.
    `static String` | `HANDLE_CONSUMER_URL_AFTER_SLO`
    `static String` | `REDIRECT_PATH_AFTER_SLO`
    `protected static String` | `REQUEST_PARAM_MAP`
    `static String` | `SAMLSSOURL`
    `static String` | `SKIP_URIS` URLs that need to be skipped from SSO flow, as configured in web.xml of application.
    `static String` | `SSO_AGENT_CONFIG`
    `static String` | `SSO_CONFIG_FILE_NAME`
    `static String` | `SSO_SP_CONFIG_PATH`
    `static String` | `TENANT_URL_PREFIX` Tenant url prefix used by default in application server.
    `static String` | `WEBAPP_PREFIX` Web application prefix used by default in application server.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappSSOConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENABLE_SAML2_SSO

          public static final String ENABLE_SAML2_SSO

      See Also:
        Constant Field Values

    - #### SSO_CONFIG_FILE_NAME

          public static final String SSO_CONFIG_FILE_NAME

      See Also:
        Constant Field Values

    - #### SAMLSSOURL

          public static final String SAMLSSOURL

      See Also:
        Constant Field Values

    - #### SSO_AGENT_CONFIG

          public static final String SSO_AGENT_CONFIG

      See Also:
        Constant Field Values

    - #### HANDLE_CONSUMER_URL_AFTER_SLO

          public static final String HANDLE_CONSUMER_URL_AFTER_SLO

      See Also:
        Constant Field Values

    - #### REDIRECT_PATH_AFTER_SLO

          public static final String REDIRECT_PATH_AFTER_SLO

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_MAP

          protected static final String REQUEST_PARAM_MAP

      See Also:
        Constant Field Values

    - #### SSO_SP_CONFIG_PATH

          public static String SSO_SP_CONFIG_PATH

    - #### APP_SERVER_URL

          public static String APP_SERVER_URL

    - #### ENABLE_IDP_SESSION_VALIDATION_BEFORE_LOGOUT

          public static String ENABLE_IDP_SESSION_VALIDATION_BEFORE_LOGOUT

    - #### CONSUMER_URL_POSTFIX

          public static String CONSUMER_URL_POSTFIX

    - #### ENABLE_SAML2_SSO_WITH_TENANT

          public static final String ENABLE_SAML2_SSO_WITH_TENANT

      Tenant name as specified in web.xml of application.
      See Also:
        Constant Field Values

    - #### SKIP_URIS

          public static final String SKIP_URIS

      URLs that need to be skipped from SSO flow, as configured in web.xml of application.
      See Also:
        Constant Field Values

    - #### CUSTOM_ACS_HEADER

          public static final String CUSTOM_ACS_HEADER

      Custom HTTP header that can override the default generated ACS url for a web application.
      See Also:
        Constant Field Values

    - #### TENANT_URL_PREFIX

          public static final String TENANT_URL_PREFIX

      Tenant url prefix used by default in application server.
      See Also:
        Constant Field Values

    - #### WEBAPP_PREFIX

          public static final String WEBAPP_PREFIX

      Web application prefix used by default in application server.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebappSSOConstants

          public WebappSSOConstants()

Copyright © 2019 WSO2. All rights reserved.